<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (16) on Mon May 31 12:39:56 CEST 2021 -->
<title>All Classes</title>
<meta name="viewport" content="width=device-width, initial-scale=1">
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2021-05-31">
<meta name="description" content="class index">
<meta name="generator" content="javadoc/AllClassesIndexWriter">
<link rel="stylesheet" type="text/css" href="stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="script-dir/jquery-ui.min.css" title="Style">
<link rel="stylesheet" type="text/css" href="jquery-ui.overrides.css" title="Style">
<script type="text/javascript" src="script.js"></script>
<script type="text/javascript" src="script-dir/jquery-3.5.1.min.js"></script>
<script type="text/javascript" src="script-dir/jquery-ui.min.js"></script>
</head>
<body class="all-classes-index-page">
<script type="text/javascript">var evenRowColor = "even-row-color";
var oddRowColor = "odd-row-color";
var tableTab = "table-tab";
var activeTableTab = "active-table-tab";
var pathtoroot = "./";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="flex-box">
<header role="banner" class="flex-header">
<nav role="navigation">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="top-nav" id="navbar.top">
<div class="skip-nav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar.top.firstrow" class="nav-list" title="Navigation">
<li><a href="index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="overview-tree.html">Tree</a></li>
<li><a href="index-all.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="sub-nav">
<div class="nav-list-search"><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</div>
</div>
<!-- ========= END OF TOP NAVBAR ========= -->
<span class="skip-nav" id="skip.navbar.top">
<!--   -->
</span></nav>
</header>
<div class="flex-content">
<main role="main">
<div class="header">
<h1 title="All&amp;nbsp;Classes" class="title">All&nbsp;Classes</h1>
</div>
<div id="all-classes-table">
<div class="table-tabs" role="tablist" aria-orientation="horizontal"><button id="all-classes-table-tab0" role="tab" aria-selected="true" aria-controls="all-classes-table.tabpanel" tabindex="0" onkeydown="switchTab(event)" onclick="show('all-classes-table', 'all-classes-table', 2)" class="active-table-tab">All Classes</button><button id="all-classes-table-tab1" role="tab" aria-selected="false" aria-controls="all-classes-table.tabpanel" tabindex="-1" onkeydown="switchTab(event)" onclick="show('all-classes-table', 'all-classes-table-tab1', 2)" class="table-tab">Interface Summary</button><button id="all-classes-table-tab2" role="tab" aria-selected="false" aria-controls="all-classes-table.tabpanel" tabindex="-1" onkeydown="switchTab(event)" onclick="show('all-classes-table', 'all-classes-table-tab2', 2)" class="table-tab">Class Summary</button></div>
<div id="all-classes-table.tabpanel" role="tabpanel">
<div class="summary-table two-column-summary" aria-labelledby="all-classes-table-tab0">
<div class="table-header col-first">Class</div>
<div class="table-header col-last">Description</div>
<div class="col-first even-row-color all-classes-table-tab2 all-classes-table"><a href="app/exercise/algebra/BasisFraction.html" title="class in app.exercise.algebra">BasisFraction</a></div>
<div class="col-last even-row-color all-classes-table-tab2 all-classes-table">
<div class="block">Diese klasse implementiert einige Methoden aus Fractional,
 zum arbeiten mit Rational Objekten.</div>
</div>
<div class="col-first odd-row-color all-classes-table-tab2 all-classes-table"><a href="app/exercise/adt/BSTree.html" title="class in app.exercise.adt">BSTree</a>&lt;<a href="app/exercise/adt/BSTree.html" title="type parameter in BSTree">E</a>&gt;</div>
<div class="col-last odd-row-color all-classes-table-tab2 all-classes-table">
<div class="block">Klasse, mit der sich ein BSTree realisieren lässt</div>
</div>
<div class="col-first even-row-color all-classes-table-tab2 all-classes-table"><a href="app/exercise/adt/BSTreeIterator.html" title="class in app.exercise.adt">BSTreeIterator</a>&lt;<a href="app/exercise/adt/BSTreeIterator.html" title="type parameter in BSTreeIterator">E</a>&gt;</div>
<div class="col-last even-row-color all-classes-table-tab2 all-classes-table">
<div class="block">Iterator für einen Binary-Search-Tree</div>
</div>
<div class="col-first odd-row-color all-classes-table-tab2 all-classes-table"><a href="app/exercise/testing/BSTreeTester.html" title="class in app.exercise.testing">BSTreeTester</a></div>
<div class="col-last odd-row-color all-classes-table-tab2 all-classes-table">
<div class="block">Klasse zum Testen unserer Funktionen</div>
</div>
<div class="col-first even-row-color all-classes-table-tab2 all-classes-table"><a href="app/exercise/algebra/CompRational.html" title="class in app.exercise.algebra">CompRational</a></div>
<div class="col-last even-row-color all-classes-table-tab2 all-classes-table">
<div class="block">Die Klasse erbt von Rational und implementiert java.lang.Conparable,
 somit sind einzelne Objekte miteinander vergleichbar</div>
</div>
<div class="col-first odd-row-color all-classes-table-tab1 all-classes-table"><a href="app/exercise/algebra/Fractional.html" title="interface in app.exercise.algebra">Fractional</a></div>
<div class="col-last odd-row-color all-classes-table-tab1 all-classes-table">
<div class="block">Interface für Brüche</div>
</div>
<div class="col-first even-row-color all-classes-table-tab2 all-classes-table"><a href="app/exercise/adt/Node.html" title="class in app.exercise.adt">Node</a>&lt;<a href="app/exercise/adt/Node.html" title="type parameter in Node">T</a>&gt;</div>
<div class="col-last even-row-color all-classes-table-tab2 all-classes-table">
<div class="block">Klasse um Knoten eines Baumes zu erstellen</div>
</div>
<div class="col-first odd-row-color all-classes-table-tab2 all-classes-table"><a href="app/exercise/algebra/Rational.html" title="class in app.exercise.algebra">Rational</a></div>
<div class="col-last odd-row-color all-classes-table-tab2 all-classes-table">
<div class="block">Klasse zum Rechnen mit rationalen Brüchen</div>
</div>
<div class="col-first even-row-color all-classes-table-tab2 all-classes-table"><a href="app/exercise/testing/RationalTesting.html" title="class in app.exercise.testing">RationalTesting</a></div>
<div class="col-last even-row-color all-classes-table-tab2 all-classes-table">
<div class="block">Klasse, welche die Funktionsweise von Objekten der Klasse Rational
 ausgiebig testet.</div>
</div>
<div class="col-first odd-row-color all-classes-table-tab2 all-classes-table"><a href="app/exercise/testing/RPN.html" title="class in app.exercise.testing">RPN</a></div>
<div class="col-last odd-row-color all-classes-table-tab2 all-classes-table">
<div class="block">Klasse, welche das Abarbeiten und auswerten von Ausdrücken in
 umgekehrter polnische Notation mit Hilfe eines Stacks verwirklicht.</div>
</div>
</div>
</div>
</div>
</main>
</div>
</div>
</body>
</html>
